diff -aruN --binary 14/administrator/language/es-ES/es-ES.plg_editors_tinymce.ini 15/administrator/language/es-ES/es-ES.plg_editors_tinymce.ini
--- 14/administrator/language/es-ES/es-ES.plg_editors_tinymce.ini	2009-07-25 18:10:06.000000000 +0200
+++ 15/administrator/language/es-ES/es-ES.plg_editors_tinymce.ini	2009-11-05 16:24:28.000000000 +0100
@@ -1,4 +1,4 @@
-# $Id: es-ES.plg_editors_tinymce.ini 1.5.0 2009-07-01 10:35:31 20:37:15 ~0 $
+# $Id: es-ES.plg_editors_tinymce.ini 1.5.0 2009-11-05 16:24:29 20:37:15 ~0 $
 # author Joomla! Spanish
 # copyright (C) 2009 JoomlaSpanish.org  All rights reserved.
 # license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
@@ -15,9 +15,9 @@
 CODE CLEANUP=Limpiar código
 CODE CLEANUP ON SAVE=Limpia el código al guardar
 CODE CLEANUP ON STARTUP=Limpia el código al iniciar
-CODE CLEANUP UPON SAVING ARTICLE=Limpia el código al guardar el artículo
 COMPRESSED VERSION=Versión comprimida
 CUSTOM CSS CLASSES=Clases CSS personalizadas
+CUSTOMCSSFILENOTPRESENT=The file name %s was entered in the TinyMCE Custom CSS field. This file could not be found in the default templates folder. No styles are available.
 DATE FORMAT=Formato de fecha
 DESCLANGCODE=Idioma UI del editor. Es obligatorio que haya un valor aquí, si la selección manual del idioma está activada.
 DESCLANGMODE=Si se activa el idioma, va a coincidir automáticamente con el idioma seleccionado por el usuario. No activar en caso de que los idiomas del editor no están instalados.
@@ -46,7 +46,9 @@
 NEWLINES=Líneas nuevas
 NEWLINES WILL BE MADE INTO THE SELECTED OPTION=Las líneas nuevas se crearán según la opción elegida.
 P ELEMENTS=Elementos P
+PARAMBLOCKQUOTE=Insert blockquote tags around the highlighted text.
 PARAMCODECLEANUP=TinyMCE, por razones de seguridad y conformidad con XHTML, limpiará de tu código a  ciertos elementos HTML, como puedan ser las etiquetas script y de centrado. Recomendamos que no desactives esta función.
+PARAMCODECLEANUPONSAVE=Recommended setting is 'Always'. Never = Do not clean up code on save. Front End = Clean up code on save when editing from front end only. Always = Cleanup on save when editing from front and back end.
 PARAMCOMPRESSEDVERSION=TinyMCE puede funcionar en modo de compresión, lo que permitirá una carga ligeramente más rápida. No obstante, este modo no funciona siempre, especialmente con Internet Explorer, por lo que está normalmente desactivado. Si decides activarlo, asegúrate de que funciona en tu sistema.
 PARAMCUSTOMCSS=Puedes especificar la carga un archivo CSS personalizado - simplemente ingresa la URL completa al archivo CSS que quieres cargar. Si ingresas un valor en este campo, sobrescribe el parámetro de la clase CSS de la plantilla.
 PARAMDIRECTIONALITY=Selecciona mostrar, o no, el botón RTL. Sólo funciona en el modo avanzado.
@@ -87,8 +89,10 @@
 STYLE=Estilo
 TABLE=Tabla
 TEMPLATE CSS CLASSES=Clases CSS de la plantilla
+TEMPLATECSSFILENOTPRESENT=Could not find the file 'editor.css' in the template or templates/system folder. No styles are available.
 TEXT DIRECTION=Dirección del texto
 TIME FORMAT=Formato de la hora
+TOGGLE EDITOR=Toggle editor
 TOOLBAR=Barra de herramientas
 URL BEHAVIOUR=Comportamiento URL
 URLS=URLs
@@ -104,9 +108,9 @@
 ADVANCED LINK=Enlace avanzado
 ALIGNMENT OF THE TOOLBAR=Alineación de la barra de herramientas
 ALL DIALOGS TO OPEN AS FLOATING DIV LAYERS INSTEAD OF POPUP WINDOWS. THIS OPTION CAN BE VERY USEFUL IN ORDER TO GET AROUND POPUP BLOCKERS.=Todos los cuadros de diálogo para abrir capas flotantes como DIV en lugar de ventanas emergentes. Esta opción puede ser muy útil a fin de evitar bloqueadores de popups.
+BLOCKQUOTE=Blockquote
 COLORS=Colores
 CONTEXT MENU=Contexto menu
-CONTROLS HOW ENTITIES GET PROCESSED BY EDITOR=Controla la forma como las entidades obtienen procesos por el editor
 CUSTOM BUTTON=Custom button
 CUSTOM PLUGIN=Custom plugin
 ENTITY ENCODING=Entidad de codificación
@@ -121,6 +125,7 @@
 OFFICE2007 BLUE=Office2007 Blue
 OFFICE2007 SILVER=Office2007 Silver
 PARAMCOLORS=Mostrar / Ocultar los colores de los botones de control. Sólo se aplica en el modo Extended
+PARAMENTITYENCODING=Controls how HTML entities are encoded. Recommended setting is 'raw'. 'named' = used named entity encoding (for example, '&lt;'). 'numeric' = use numeric HTML encoding (for example, '%03c'). raw = Do not encode HTML entities. Note that searching content may not work properly if setting is not 'raw'.
 PARAMS EXTENDED MODE=<strong>Opciones del modo extendido</strong><br />Estas opciones sólo se aplican en modo Extended.
 PARAMFONTS=Mostrar / Ocultar el control de fuentes. Sólo se aplica en el modo Extended
 PARAMMEDIA=Mostrar / Ocultar el botón de los medios multimedia. Sólo se aplica en el modo Extended
diff -aruN --binary 14/CHANGELOG.php 15/CHANGELOG.php
--- 14/CHANGELOG.php	2009-07-30 21:02:22.000000000 +0200
+++ 15/CHANGELOG.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: CHANGELOG.php 12584 2009-07-30 17:46:47Z ian $
+* @version		$Id: CHANGELOG.php 13426 2009-11-04 16:36:00Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
@@ -17,7 +17,7 @@
 1. Copyright and disclaimer
 ---------------------------
 This application is opensource software released under the GPL.  Please
-see source code and the LICENSE file
+see source code and the LICENSE file.
 
 
 2. Changelog
@@ -37,6 +37,98 @@
 - -> Removed
 ! -> Note
 
+-------------------- 1.5.15 Stable Release [05-November-2009] ------------------
+04-Nov-2009 Ian MacLennan
+ # [#17475] Fixed missing = in patch (parse error)
+
+03-Nov-2009 Ian MacLennan
+ # [#18050] Reverting router change.
+
+29-Oct-2009 Ian MacLennan
+ # [#18537] error.php rtl issue
+
+28-Oct-2009 Ian MacLennan
+ ^ Updated CREDITS.php
+ ^ Updated installation language pack
+ ^ Updated help sites
+ # [#16445] SEF rewrites href urls in editor textarea
+
+27-Oct-2009 Ian MacLennan
+ # [#16914] Default style for admin backend does not specify text color of input fields.
+ # [#16609] templates/system/css/template.css not found when using templates/system/component
+ # [#18493] UTF problems with HTML entities in pathway.
+ # [#18518] Change in mod_search.ini
+ # [#18522] Correct version info site/admin for core languages
+ # [#18481] Emailcloak on image
+ # [#18430] com_content fails to pass an article reference to onAfterDisplayTitle event handler
+ $ Added new installer language packs
+
+26-Oct-2009 Ian MacLennan
+ # [#18245] Implementing templates feature in tinymce
+ # [#15780] Search result list uses always the Itemid of the default Menu-item
+ # [#17110] Section/Category List - Table width issue in IE8
+ # [#17470] Archive filters don't work with cache on + com_content cache optimization
+ # [#17475] Cache unused by core components
+ # [#18050] SEF category links lead to article not found
+ # [#18080] Core - Missing JEXEC Check
+ # [#18142] utf8_accents_to_ascii() does nothing
+
+23-Oct-2009 Ian MacLennan
+ # [#11578] Email cloaking does not work properly with non-ASCII characters
+ # [#16804] Linked image in Beez template jumps in IE8
+ # [#17259] html not allowed in user confirmation message
+ # [#17430] Image Title attribute field has different names
+ # [#17964] Email cloaking. Syntax error in email.php. Patch included.
+ # [#18246] Tinymce sql correction
+ # [#18310] Email cloak breaks emails used in scripts
+ # [#18343] & in page title breaks RSS feed
+ # [#18349] Missing com_media strings
+ # [#18353] Information leak - anybody can see installed extensions versions
+ # Upgrade to Mootool 1.12
+
+
+19-Oct-2009 Ian MacLennan
+ # [#18297] Setting ftp fields to not autocomplete
+ # [#16927] Router fatal error then Itemid is null
+ # [#18240] Menu item is not opened to new window
+ $ [#18124] String for JPagination missing in en-GB.ini
+ # [#18070] Error in Ja_purity and IE8
+ # [#17692] Email Cloaking on an image
+ $ [#17618] Localisation of pagination
+ $ [#17577] Adding Ulaanbaatar in timezones
+ # [#17559] Change to Beez Template to make it more generic
+ # [#17231] mod_newsflash doesn't honour alternative read more text
+ # [#17215] Missing <blockquote> button in TinyMCE 3
+ 
+25-Sept-2009 Ian MacLennan
+ # [#16484] Password field changed in configuration.php by Administration > Global Configuration
+ # [#16804] Linked image in Beez template jumps in IE8
+
+18-Sept-2009 Ian MacLennan
+ # [#16982] Fixed issue with editor.css files
+
+17-Sept-2009 Ian MacLennan
+ # [#16982] TinyMCE Configuration Error
+ # [#17057] TinyMCE strips some image html
+ # [#17379] Tinymce 3.2.4.1 generates different html breaking caption.js and messing with content filtering
+ # [#17121] TinyMCE Extended Valid Elements dont work anymore
+ # [#17043] Multiply instances of TinyMCE on the page
+ # [#17367] Cannot add or edit content items
+ # [#17356] Firefox inline spell check doesn't work in 1.5.12 / TinyMCE - suggested fix
+ $ [#17332] TinyMCE Language file omission for Toggle Editor button
+ # [#17438] TinyMCE Libary Upgrade - International Users Beware - big changes to language files
+
+16-Sept-2009 Ian MacLennan
+ # [#18010] Captions don't align properly if image alignment is not set.
+ # [#18008] Additional PHP 5.3 Issues
+
+11-Sept-2009 Ian MacLennan
+ # [#17150] Patch to solve PHP 5.3 issues
+ # [#17432] Missing spinner.gif
+ # [#17337] Media manager popup is broken in Windows
+ # [#16919] Results of search - unnecessary quotation marks
+ # [#16086] Unique menu names now disallow underscores
+
 -------------------- 1.5.14 Stable Release [30-July-2009] ------------------
 
 23-Jul-2009 Gergo Erdosi
diff -aruN --binary 14/components/com_contact/controller.php 15/components/com_contact/controller.php
--- 14/components/com_contact/controller.php	2009-05-29 14:53:02.000000000 +0200
+++ 15/components/com_contact/controller.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 11679 2009-03-08 20:50:06Z willebil $
+ * @version		$Id: controller.php 13426 2009-11-04 16:36:00Z ian $
  * @package		Joomla
  * @subpackage	Contact
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -69,7 +69,19 @@
 
 		// Display the view
 		$view->assign('error', $this->getError());
-		$view->display();
+		
+		// View caching logic -- simple... are we logged in?
+		$user = &JFactory::getUser();
+		$viewnow = JRequest::getVar('view');
+		$viewcache = JRequest::getVar('viewcache','1','POST','INT');
+		
+		if ($user->get('id') || ($viewnow == 'category' && $viewcache == 0)) {
+			$view->display();
+		} else {
+			$option = JRequest::getCmd('option');
+			$cache =& JFactory::getCache($option, 'view');
+			$cache->get($view, 'display');
+		}
 	}
 
 	/**
diff -aruN --binary 14/components/com_contact/views/category/tmpl/default.php 15/components/com_contact/views/category/tmpl/default.php
--- 14/components/com_contact/views/category/tmpl/default.php	2009-05-29 15:32:52.000000000 +0200
+++ 15/components/com_contact/views/category/tmpl/default.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,10 +1,9 @@
 <?php
 /**
- * $Id: default.php 11917 2009-05-29 19:37:05Z ian $
+ * $Id: default.php 13339 2009-10-27 02:27:05Z ian $
  */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 
-$cparams =& JComponentHelper::getParams('com_media');
 ?>
 
 <?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
@@ -100,5 +99,6 @@
 <input type="hidden" name="catid" value="<?php echo $this->category->id;?>" />
 <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
 <input type="hidden" name="filter_order_Dir" value="" />
+<input type="hidden" name="viewcache" value="0" />
 </form>
 </div>
diff -aruN --binary 14/components/com_contact/views/category/view.html.php 15/components/com_contact/views/category/view.html.php
--- 14/components/com_contact/views/category/view.html.php	2009-05-29 14:53:02.000000000 +0200
+++ 15/components/com_contact/views/category/view.html.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.html.php 11665 2009-03-08 20:30:23Z willebil $
+ * @version		$Id: view.html.php 13339 2009-10-27 02:27:05Z ian $
  * @package		Joomla
  * @subpackage	Contact
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -76,7 +76,7 @@
 		{
 			$contact =& $contacts[$i];
 
-			$contact->link = JRoute::_('index.php?option=com_contact&view=contact&id='.$contact->slug.'&catid='.$contact->catslug);
+			$contact->link = JRoute::_('index.php?option=com_contact&view=contact&id='.$contact->slug.'&catid='.$contact->catslug, false);
 			if ($pparams->get('show_email', 0) == 1) {
 				$contact->email_to = trim($contact->email_to);
 				if (!empty($contact->email_to) && JMailHelper::isEmailAddress($contact->email_to)) {
diff -aruN --binary 14/components/com_content/controller.php 15/components/com_content/controller.php
--- 14/components/com_content/controller.php	2009-05-29 14:53:00.000000000 +0200
+++ 15/components/com_content/controller.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 11386 2009-01-04 02:34:35Z ian $
+ * @version		$Id: controller.php 13338 2009-10-27 02:15:55Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -44,7 +44,12 @@
 
 		// View caching logic -- simple... are we logged in?
 		$user = &JFactory::getUser();
-		if ($user->get('id') || (JRequest::getVar('view') == 'category' && JRequest::getVar('layout') != 'blog')) {
+		$view = JRequest::getVar('view');
+		$viewcache = JRequest::getVar('viewcache',1,'POST','INT');
+
+		if ($user->get('id') ||
+			($view == 'category' && JRequest::getVar('layout') != 'blog' && $viewcache == 0) ||
+			 $view == 'archive' && $viewcache == 0) {
 			parent::display(false);
 		} else {
 			parent::display(true);
diff -aruN --binary 14/components/com_content/models/article.php 15/components/com_content/models/article.php
--- 14/components/com_content/models/article.php	2009-05-29 14:52:58.000000000 +0200
+++ 15/components/com_content/models/article.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: article.php 11646 2009-03-01 19:34:56Z ian $
+ * @version		$Id: article.php 13415 2009-11-03 15:53:25Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -313,6 +313,20 @@
 
 		$article->title = trim( $article->title );
 
+		// get state and created_by from existing article
+		$originalState = 0;
+		if (!$isNew)
+		{
+			$query = 'SELECT state, created_by' .
+			' FROM #__content' .
+			' WHERE id = '.(int) $article->id;
+			$this->_db->setQuery($query);
+			$originalArticle = $this->_db->loadObject();
+			$originalState = $originalArticle->state;
+			// force the created_by to the existing value
+			$article->created_by = $originalArticle->created_by;
+		}
+
 		// Publishing state hardening for Authors
 		if (!$user->authorize('com_content', 'publish', 'content', 'all'))
 		{
@@ -324,12 +338,8 @@
 			else
 			{
 				// For existing items keep existing state - author is not allowed to change status
-				$query = 'SELECT state' .
-						' FROM #__content' .
-						' WHERE id = '.(int) $article->id;
 
-				$this->_db->setQuery($query);
-				$state = $this->_db->loadResult();
+				$state = $originalState;
 
 				if ($state) {
 					$article->state = 1;
@@ -337,6 +347,15 @@
 				else {
 					$article->state = 0;
 				}
+
+				// if current user is author, check that the current user is really the author
+				if (!$user->authorize('com_content', 'edit', 'content', 'all'))
+				{
+					if ($originalArticle->created_by != $user->id)
+					{
+						JError::raiseError( 403, JText::_("ALERTNOTAUTH") );
+					}
+				}
 			}
 		}
 
@@ -364,7 +383,7 @@
 		if ( (!is_array($filterGroups) && (int) $filterGroups > 0) ) { 
 			$filterGroups = array($filterGroups);
 		}
-		
+
 		if (is_array($filterGroups) && in_array( $gid, $filterGroups ))
 		{
 			$filterType		= $config->get( 'filter_type' );
diff -aruN --binary 14/components/com_content/router.php 15/components/com_content/router.php
--- 14/components/com_content/router.php	2009-05-29 14:53:00.000000000 +0200
+++ 15/components/com_content/router.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: router.php 10711 2008-08-21 10:09:03Z eddieajau $
+* @version		$Id: router.php 13420 2009-11-04 02:17:02Z ian $
 * @package		Joomla
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
diff -aruN --binary 14/components/com_content/views/archive/tmpl/default.php 15/components/com_content/views/archive/tmpl/default.php
--- 14/components/com_content/views/archive/tmpl/default.php	2009-05-29 15:22:46.000000000 +0200
+++ 15/components/com_content/views/archive/tmpl/default.php	2009-11-04 18:51:18.000000000 +0100
@@ -19,4 +19,5 @@
 
 	<input type="hidden" name="view" value="archive" />
 	<input type="hidden" name="option" value="com_content" />
+	<input type="hidden" name="viewcache" value="0" />
 </form>
diff -aruN --binary 14/components/com_content/views/article/view.html.php 15/components/com_content/views/article/view.html.php
--- 14/components/com_content/views/article/view.html.php	2009-05-29 14:52:58.000000000 +0200
+++ 15/components/com_content/views/article/view.html.php	2009-11-04 18:51:18.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.html.php 11213 2008-10-25 12:43:11Z pasamio $
+ * @version		$Id: view.html.php 13361 2009-10-28 04:34:03Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -29,7 +29,7 @@
 	function display($tpl = null)
 	{
 		global $mainframe;
-		
+
 		$user		=& JFactory::getUser();
 		$document	=& JFactory::getDocument();
 		$dispatcher	=& JDispatcher::getInstance();
@@ -58,7 +58,7 @@
 		}
 
 		$limitstart	= JRequest::getVar('limitstart', 0, '', 'int');
-		
+
 		if (!$params->get('intro_only') && ($this->getLayout() == 'default') && ($limitstart == 0))
 		{
 			$model =& $this->getModel();
@@ -171,19 +171,19 @@
 		 * Handle display events
 		 */
 		$article->event = new stdClass();
-		$results = $dispatcher->trigger('onAfterDisplayTitle', array ($article, &$params, $limitstart));
+		$results = $dispatcher->trigger('onAfterDisplayTitle', array (&$article, &$params, $limitstart));
 		$article->event->afterDisplayTitle = trim(implode("\n", $results));
 
-		$results = $dispatcher->trigger('onBeforeDisplayContent', array (& $article, & $params, $limitstart));
+		$results = $dispatcher->trigger('onBeforeDisplayContent', array (&$article, &$params, $limitstart));
 		$article->event->beforeDisplayContent = trim(implode("\n", $results));
 
-		$results = $dispatcher->trigger('onAfterDisplayContent', array (& $article, & $params, $limitstart));
+		$results = $dispatcher->trigger('onAfterDisplayContent', array (&$article, &$params, $limitstart));
 		$article->event->afterDisplayContent = trim(implode("\n", $results));
 
 		$print = JRequest::getBool('print');
 		if ($print) {
-      $document->setMetaData('robots', 'noindex, nofollow');
-    }
+			$document->setMetaData('robots', 'noindex, nofollow');
+		}
 
 		$this->assignRef('article', $article);
 		$this->assignRef('params' , $params);
@@ -206,8 +206,8 @@
 
 		// Make sure you are logged in and have the necessary access rights
 		if ($user->get('gid') < 19) {
-			  JResponse::setHeader('HTTP/1.0 403',true);
-              JError::raiseWarning( 403, JText::_('ALERTNOTAUTH') );
+			JResponse::setHeader('HTTP/1.0 403',true);
+			  JError::raiseWarning( 403, JText::_('ALERTNOTAUTH') );
 			return;
 		}
 
@@ -390,4 +390,4 @@
 		parent::display($tpl);
 	}
 }
-?>
+
diff -aruN --binary 14/components/com_content/views/category/tmpl/default_items.php 15/components/com_content/views/category/tmpl/default_items.php
--- 14/components/com_content/views/category/tmpl/default_items.php	2009-06-30 22:01:32.000000000 +0200
+++ 15/components/com_content/views/category/tmpl/default_items.php	2009-11-04 18:51:18.000000000 +0100
@@ -43,7 +43,7 @@
 		<?php echo JText::_('Num'); ?>
 	</td>
 	<?php if ($this->params->get('show_title')) : ?>
- 	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="45%">
+ 	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" >
 		<?php echo JHTML::_('grid.sort',  'Item Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
@@ -131,4 +131,5 @@
 <input type="hidden" name="filter_order" value="" />
 <input type="hidden" name="filter_order_Dir" value="" />
 <input type="hidden" name="limitstart" value="0" />
+<input type="hidden" name="viewcache" value="0" />
 </form>
diff -aruN --binary 14/components/com_content/views/category/tmpl/default.php 15/components/com_content/views/category/tmpl/default.php
--- 14/components/com_content/views/category/tmpl/default.php	2009-05-29 15:22:46.000000000 +0200
+++ 15/components/com_content/views/category/tmpl/default.php	2009-11-04 18:51:18.000000000 +0100
@@ -9,7 +9,7 @@
 <?php endif; ?>
 <table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
 	<?php if ($this->category->image) : ?>
 		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'. $this->category->image;?>" align="<?php echo $this->category->image_position;?>" hspace="6" alt="<?php echo $this->category->image;?>" />
 	<?php endif; ?>
diff -aruN --binary 14/components/com_content/views/section/tmpl/default.php 15/components/com_content/views/section/tmpl/default.php
--- 14/components/com_content/views/section/tmpl/default.php	2009-05-29 15:22:46.000000000 +0200
+++ 15/components/com_content/views/section/tmpl/default.php	2009-11-04 18:51:20.000000000 +0100
@@ -9,7 +9,7 @@
 <?php endif; ?>
 <table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
+	<td valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
 	<?php if ($this->params->get('show_description_image') && $this->section->image) : ?>
 		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'.  $this->section->image;?>" align="<?php echo $this->section->image_position;?>" hspace="6" alt="<?php echo $this->section->image;?>" />
 	<?php endif; ?>
diff -aruN --binary 14/components/com_media/media.php 15/components/com_media/media.php
--- 14/components/com_media/media.php	2009-07-23 04:25:36.000000000 +0200
+++ 15/components/com_media/media.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: media.php 12542 2009-07-22 17:40:48Z ian $
+ * @version		$Id: media.php 12696 2009-09-12 02:08:54Z ian $
  * @package		Joomla
  * @subpackage	Massmail
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -22,7 +22,7 @@
 }
 
 // Set the path definitions
-define('COM_MEDIA_BASE',    JPATH_ROOT.DS.$params->get('image_path', 'images'.DS.'stories'));
+define('COM_MEDIA_BASE',    JPath::clean(JPATH_ROOT.DS.$params->get('image_path', 'images'.DS.'stories')));
 define('COM_MEDIA_BASEURL', JURI::root(true).'/'.$params->get('image_path', 'images/stories'));
 
 // Load the admin HTML view
diff -aruN --binary 14/components/com_search/controller.php 15/components/com_search/controller.php
--- 14/components/com_search/controller.php	2009-05-29 14:52:54.000000000 +0200
+++ 15/components/com_search/controller.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 11676 2009-03-08 20:45:04Z willebil $
+ * @version		$Id: controller.php 13338 2009-10-27 02:15:55Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -63,21 +63,16 @@
 				$post['areas'][] = JFilterInput::clean($area, 'cmd');
 			}
 		}
-
-		// No need to guess Itemid if it's already present in the URL
-		if (JRequest::getInt('Itemid') > 0) {
+		
+		// set Itemid id for links from menu
+		$menu = &JSite::getMenu();
+		$items	= $menu->getItems('link', 'index.php?option=com_search&view=search');
+
+		if(isset($items[0])) {
+			$post['Itemid'] = $items[0]->id;
+		} else if (JRequest::getInt('Itemid') > 0) { //use Itemid from requesting page only if there is no existing menu
 			$post['Itemid'] = JRequest::getInt('Itemid');
-		} else {
-
-			// set Itemid id for links
-			$menu = &JSite::getMenu();
-			$items	= $menu->getItems('link', 'index.php?option=com_search&view=search');
-
-			if(isset($items[0])) {
-				$post['Itemid'] = $items[0]->id;
-			}
-
-		}
+		} 
 		
 		unset($post['task']);
 		unset($post['submit']);
diff -aruN --binary 14/components/com_weblinks/controller.php 15/components/com_weblinks/controller.php
--- 14/components/com_weblinks/controller.php	2009-05-29 14:53:10.000000000 +0200
+++ 15/components/com_weblinks/controller.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: controller.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: controller.php 13339 2009-10-27 02:27:05Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -45,7 +45,15 @@
 			$model =& $this->getModel('weblink');
 			$model->hit();
 		}
-
-		parent::display();
+		
+		// View caching logic -- simple... are we logged in?
+		$user = &JFactory::getUser();
+		$view = JRequest::getVar('view');
+		$viewcache = JRequest::getVar('viewcache', '1', 'POST', 'INT');
+		if ($user->get('id') || ($view == 'category' && $viewcache == 0)) {
+			parent::display(false);
+		} else {
+			parent::display(true);
+		}
 	}
-}
\ No hay ningún carácter de nueva línea al final del fichero
+}
diff -aruN --binary 14/components/com_weblinks/views/category/tmpl/default_items.php 15/components/com_weblinks/views/category/tmpl/default_items.php
--- 14/components/com_weblinks/views/category/tmpl/default_items.php	2009-05-29 15:22:46.000000000 +0200
+++ 15/components/com_weblinks/views/category/tmpl/default_items.php	2009-11-04 18:51:20.000000000 +0100
@@ -69,4 +69,5 @@
 </table>
 <input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
 <input type="hidden" name="filter_order_Dir" value="" />
+<input type="hidden" name="viewcache" value="0" />
 </form>
diff -aruN --binary 14/components/com_weblinks/views/category/view.html.php 15/components/com_weblinks/views/category/view.html.php
--- 14/components/com_weblinks/views/category/view.html.php	2009-05-29 15:32:52.000000000 +0200
+++ 15/components/com_weblinks/views/category/view.html.php	2009-11-04 18:51:20.000000000 +0100
@@ -1,6 +1,6 @@
 <?php
 /**
-* @version		$Id: view.html.php 11917 2009-05-29 19:37:05Z ian $
+* @version		$Id: view.html.php 12694 2009-09-11 21:03:02Z ian $
 * @package		Joomla
 * @subpackage	Weblinks
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -48,7 +48,7 @@
 		$state		= &$this->get('state');
 
 		$model =& JModel::getInstance('categories', 'weblinksmodel');
-		$categories =& $model->getData();
+		$categories = $model->getData();
 
 		// Get the page/component configuration
 		$params = &$mainframe->getParams();
